cd "C:\Users\kappiaru\OneDrive - Michigan State University\EU_spatial_2020\Replication"
import delimited "me_data.csv", clear
save me_data,replace

import delimited "me_dyad.csv", clear
gen inv_dist=1/kmdist
gen inv_rus=1/rusdist

replace inv_dist=. if inlist(ccode2,"USA","RUS","CAN","ALB","MKD","MNE","TUR","NOR")
replace inv_rus=. if inlist(ccode2,"USA","RUS","CAN","ALB","MKD","MNE","TUR","NOR")
replace arms_trade=. if inlist(ccode2,"USA","RUS","CAN","ALB","MKD","MNE","TUR","NOR")


spmon logme, w(eu) i(ccode1) k(ccode2) sename(me_sl_eu) time(year) filename(me_sl) norowst 
spmon logme,w(contiguity) i(ccode1) k(ccode2) sename(me_sl_cont) time(year) filename(me_sl) norowst 
spmon logme,w(uscontiguity) i(ccode1) k(ccode2) sename(me_sl_uscont) time(year) filename(me_sl) norowst 
spmon logme,w(bigcontiguity) i(ccode1) k(ccode2) sename(me_sl_bigcont) time(year) filename(me_sl) norowst 
spmon logme,w(ruscontiguity) i(ccode1) k(ccode2) sename(me_sl_ruscont) time(year) filename(me_sl) norowst 
spmon logme,w(inv_dist) i(ccode1) k(ccode2) sename(me_sl_dist) time(year) filename(me_sl) norowst 
spmon logme,w(inv_rus) i(ccode1) k(ccode2) sename(me_sl_rusdist) time(year) filename(me_sl) norowst 
spmon logme,w(arms_trade) i(ccode1) k(ccode2) sename(me_sl_arms) time(year) filename(me_sl) norowst 

spmon loggdp,w(eu) i(ccode1) k(ccode2) sename(gdp_sl_eu) time(year) filename(gdp_sl) norowst 
spmon loggdp ,w(contiguity) i(ccode1) k(ccode2) sename(gdp_sl_cont) time(year) filename(gdp_sl) norowst 
spmon loggdp,w(uscontiguity) i(ccode1) k(ccode2) sename(gdp_sl_uscont) time(year) filename(gdp_sl) norowst 
spmon loggdp ,w(bigcontiguity) i(ccode1) k(ccode2) sename(gdp_sl_bigcont) time(year) filename(gdp_sl) norowst 
spmon loggdp ,w(ruscontiguity) i(ccode1) k(ccode2) sename(gdp_sl_ruscont) time(year) filename(gdp_sl) norowst 
spmon loggdp ,w(inv_dist) i(ccode1) k(ccode2) sename(gdp_sl_dist) time(year) filename(gdp_sl) norowst 
spmon loggdp ,w(inv_rus) i(ccode1) k(ccode2) sename(gdp_sl_rusdist) time(year) filename(gdp_sl) norowst 
spmon loggdp ,w(arms_trade) i(ccode1) k(ccode2) sename(gdp_sl_arms) time(year) filename(gdp_sl) norowst 

spmon logpop,w(eu) i(ccode1) k(ccode2) sename(pop_sl_eu) time(year) filename(pop_sl) norowst
spmon logpop ,w(contiguity) i(ccode1) k(ccode2) sename(pop_sl_cont) time(year) filename(pop_sl) norowst 
spmon logpop,w(uscontiguity) i(ccode1) k(ccode2) sename(pop_sl_uscont) time(year) filename(pop_sl) norowst 
spmon logpop,w(bigcontiguity) i(ccode1) k(ccode2) sename(pop_sl_bigcont) time(year) filename(pop_sl) norowst 
spmon logpop,w(ruscontiguity) i(ccode1) k(ccode2) sename(pop_sl_ruscont) time(year) filename(pop_sl) norowst 
spmon logpop ,w(inv_dist) i(ccode1) k(ccode2) sename(pop_sl_dist) time(year) filename(pop_sl) norowst 
spmon logpop ,w(inv_rus) i(ccode1) k(ccode2) sename(pop_sl_rusdist) time(year) filename(pop_sl) norowst 
spmon logpop ,w(arms_trade) i(ccode1) k(ccode2) sename(pop_sl_arms) time(year) filename(pop_sl) norowst 

spmon terror_attacks,w(eu) i(ccode1) k(ccode2) sename(ter_sl_eu) time(year) filename(ter_sl) norowst
spmon terror_attacks ,w(contiguity) i(ccode1) k(ccode2) sename(ter_sl_cont) time(year) filename(ter_sl) norowst 
spmon terror_attacks,w(uscontiguity) i(ccode1) k(ccode2) sename(ter_sl_uscont) time(year) filename(ter_sl) norowst 
spmon terror_attacks,w(bigcontiguity) i(ccode1) k(ccode2) sename(ter_sl_bigcont) time(year) filename(ter_sl) norowst 
spmon terror_attacks,w(ruscontiguity) i(ccode1) k(ccode2) sename(ter_sl_ruscont) time(year) filename(ter_sl) norowst 
spmon terror_attacks ,w(inv_dist) i(ccode1) k(ccode2) sename(ter_sl_dist) time(year) filename(ter_sl) norowst 
spmon terror_attacks ,w(inv_rus) i(ccode1) k(ccode2) sename(ter_sl_rusdist) time(year) filename(ter_sl) norowst 
spmon terror_attacks ,w(arms_trade) i(ccode1) k(ccode2) sename(ter_sl_arms) time(year) filename(ter_sl) norowst 

spmon trade_open, w(eu) i(ccode1) k(ccode2) sename(trade_sl_eu) time(year) filename(trade_sl) norowst
spmon trade_open, w(contiguity) i(ccode1) k(ccode2) sename(trade_sl_cont) time(year) filename(trade_sl) norowst 
spmon trade_open, w(uscontiguity) i(ccode1) k(ccode2) sename(trade_sl_uscont) time(year) filename(trade_sl) norowst 
spmon trade_open, w(bigcontiguity) i(ccode1) k(ccode2) sename(trade_sl_bigcont) time(year) filename(trade_sl) norowst 
spmon trade_open, w(ruscontiguity) i(ccode1) k(ccode2) sename(trade_sl_ruscont) time(year) filename(trade_sl) norowst 
spmon trade_open, w(inv_dist) i(ccode1) k(ccode2) sename(trade_sl_dist) time(year) filename(trade_sl) norowst 
spmon trade_open, w(inv_rus) i(ccode1) k(ccode2) sename(trade_sl_rusdist) time(year) filename(trade_sl) norowst 
spmon trade_open, w(arms_trade) i(ccode1) k(ccode2) sename(trade_sl_arms) time(year) filename(trade_sl) norowst 

duplicates drop ccode1 year,force
rename ccode1 ccode
save sp_var,replace

use sp_var,clear
drop _merge
save sp_var,replace

use me_data,clear
merge m:m ccode year using sp_var
drop if _merge==2
encode ccode,gen(ccode1)
drop if ccode1==5
duplicates drop ccode1 year, force

save me_final,replace


*********************************
*********************************
***             *****************        
***Data analysis*****************
***             *****************
*********************************
*********************************
use me_final,clear
tsset ccode1 year
xi i.ccode1

drop if year<1990
eststo clear
eststo:ivreg2 logme (me_sl_eu= gdp_sl_eu pop_sl_eu)loggdp logpop terror_attacks trade_open i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont) loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_ruscont= gdp_sl_ruscont pop_sl_ruscont)loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1,  bw(3) kernel(bartlett) robust 
eststo:ivreg2 logme (me_sl_arms= gdp_sl_arms pop_sl_arms)loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1, small gmm2s bw(3) partial(i.ccode1) kernel(bartlett) robust 
esttab using table_1.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 F idstat jp N)  replace




use me_final,clear

drop if year<1990
drop if year<2008
tsset ccode1 year
xi i.ccode1

eststo clear
eststo:ivreg2 logme (me_sl_eu= gdp_sl_eu ter_sl_eu)loggdp logpop terror_attacks trade_open i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont ter_sl_cont) loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist ter_sl_dist)loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_ruscont= gdp_sl_ruscont pop_sl_ruscont)loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1,  bw(3) kernel(bartlett) partial(i.ccode1) robust
eststo:ivreg2 logme (me_sl_arms= gdp_sl_arms pop_sl_arms)loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) partial(i.ccode1) robust
esttab using table_2.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 F idstat jp N)  replace



use me_final,clear
tsset ccode1 year
xi i.ccode1

drop if year<1990
eststo clear
eststo:ivreg2 logme (me_sl_eu= gdp_sl_eu pop_sl_eu) loggdp logpop terror_attacks trade_open i.ccode1 , small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)  loggdp logpop terror_attacks trade_open i.year i.ccode1 , small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist ter_sl_dist)  loggdp logpop terror_attacks trade_open i.year i.ccode1 , small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_ruscont= gdp_sl_ruscont ter_sl_ruscont) loggdp logpop terror_attacks trade_open i.year i.ccode1 , small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_arms= gdp_sl_arms ter_sl_arms) loggdp logpop terror_attacks trade_open i.year i.ccode1 , small gmm2s bw(3) kernel(bartlett) partial(i.ccode1) robust
esttab using table_3.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 F idstat jp N)  replace



use me_final,clear
tsset ccode1 year
xi i.ccode1
drop if year<1990

eststo clear
eststo:ivreg2 logme (me_sl_uscont= gdp_sl_uscont pop_sl_uscont) loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_bigcont= gdp_sl_bigcont pop_sl_bigcont) loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_uscont= gdp_sl_uscont pop_sl_uscont) loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1&year>2007, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_bigcont= gdp_sl_bigcont pop_sl_bigcont) loggdp logpop terror_attacks trade_open i.year i.ccode1 if eu_cntry==1&year>2007, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_uscont= gdp_sl_uscont pop_sl_uscont) loggdp logpop terror_attacks trade_open i.year i.ccode1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_bigcont= gdp_sl_bigcont pop_sl_bigcont) loggdp logpop terror_attacks trade_open i.year i.ccode1, small gmm2s bw(3) kernel(bartlett) robust
esttab using table_4.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 F idstat jp N)  replace

use me_final,clear
tsset ccode1 year
xi i.ccode1
drop if year<1990
gen log_russia=log(me_russia)
eststo clear
eststo:ivreg2 logme (me_sl_eu= gdp_sl_eu pop_sl_eu)loggdp logpop terror_attacks trade_open log_russia i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont) loggdp logpop terror_attacks trade_open log_russia i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop terror_attacks trade_open log_russia i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_uscont= gdp_sl_uscont pop_sl_uscont) loggdp logpop terror_attacks trade_open log_russia i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_bigcont= gdp_sl_bigcont pop_sl_bigcont) loggdp logpop terror_attacks trade_open log_russia i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust
esttab using table_5.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 F idstat jp N)  replace



use me_final,clear
tsset ccode1 year
xi i.ccode1
gen military=0
replace military=1 if armsexportssipritrendindicator>0
drop if year<1990
eststo clear
eststo:ivreg2 logme (me_sl_eu= gdp_sl_eu pop_sl_eu)loggdp logpop terror_attacks military conflict_id kofgi  i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont) loggdp logpop terror_attacks i.year military conflict_id kofgi  i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop terror_attacks i.year military conflict_id kofgi  i.ccode1 if eu_cntry==1, small gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_ruscont= gdp_sl_ruscont pop_sl_ruscont)loggdp logpop terror_attacks i.year military conflict_id kofgi i.ccode1 if eu_cntry==1,  bw(3) kernel(bartlett) robust  partial(i.ccode1)
eststo:ivreg2 logme (me_sl_arms= gdp_sl_arms pop_sl_arms)loggdp logpop terror_attacks trade_open i.year military conflict_id kofgi i.ccode1 if eu_cntry==1, small gmm2s bw(3) partial(i.ccode1) kernel(bartlett) robust
esttab using table_6.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 F idstat jp N)  replace


